%define upstream_name    CGI-Fast
%define upstream_version 2.17

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      2

Summary:    CGI Interface for Fast CGI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 4.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FCGI) >= 0.670.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildArch:  noarch

%description
CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work with the FCGI module, which greatly speeds up CGI
scripts by turning them into persistently running server processes. Scripts
that perform time-consuming initialization processes, such as loading large
modules or opening persistent database connections, will see large
performance improvements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 2:2.170.0-2.mga10
+ Revision: 2220539
- Mageia 10 Mass Rebuild

* Mon Dec 04 2023 tv <tv> 2:2.170.0-1.mga10
+ Revision: 2012958
- update to 2.17

* Wed Mar 23 2022 umeabot <umeabot> 2:2.160.0-2.mga9
+ Revision: 1820737
- Mageia 9 Mass Rebuild

* Fri Sep 03 2021 tv <tv> 2:2.160.0-1.mga9
+ Revision: 1744189
- update to 2.16

* Sat Feb 15 2020 umeabot <umeabot> 2:2.150.0-2.mga8
+ Revision: 1525013
- Mageia 8 Mass Rebuild

* Mon Apr 01 2019 tv <tv> 2:2.150.0-1.mga7
+ Revision: 1384403
- update to 2.15

* Wed Mar 27 2019 tv <tv> 2:2.140.0-1.mga7
+ Revision: 1380548
- update to 2.14

* Thu Sep 20 2018 umeabot <umeabot> 2:2.130.0-2.mga7
+ Revision: 1281854
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 2:2.130.0-1.mga7
+ Revision: 1181974
- update to 2.13

* Mon Jul 24 2017 tv <tv> 2:2.120.0-1.mga7
+ Revision: 1130033
- new release + use std macros

* Sat Jun 18 2016 pterjan <pterjan> 2:2.100.0-3.mga6
+ Revision: 1023439
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2:2.100.0-2.mga6
+ Revision: 968155
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 2:2.100.0-1.mga6
+ Revision: 851455
- update to 2.10

* Wed Oct 15 2014 umeabot <umeabot> 2:2.30.0-3.mga5
+ Revision: 739362
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:2.30.0-2.mga5
+ Revision: 683642
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 2:2.30.0-1.mga5
+ Revision: 672913
- update to 2.03

* Fri Jun 06 2014 jquelin <jquelin> 2:2.20.0-1.mga5
+ Revision: 634067
- forcing epoch (upstream was split from perl-CGI)
- imported package perl-CGI-Fast


* Fri Jun 06 2014 cpan2dist 2.02-1mga
- initial mageia release, generated with cpan2dist
